## org.apache.tools.ant.taskdefs.optional.extension
Class Compatibility

    java.lang.Object
      org.apache.tools.ant.taskdefs.optional.extension.Compatibility

public final class Compatibility
extends java.lang.Object

Enum used in (@link Extension) to indicate the compatibility of one extension to another. See (@link Extension) for instances of object. WARNING WARNING WARNING WARNING WARNING WARNING WARNING WARNING This file is from excalibur.extension package. Dont edit this file directly as there is no unit tests to make sure it is operational in ant. Edit file in excalibur and run tests there before changing ants file. WARNING WARNING WARNING WARNING WARNING WARNING WARNING WARNING

Version:
  $Revision: 1.1.2.2 $ $Date: 2003/02/10 14:25:08 $
Author:
  Peter Donald
See Also:
  `Extension`

Method Summary
`java.lang.String` `toString()` Return name of compatibility level.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Method Detail

### toString

    public java.lang.String toString()

  Return name of compatibility level.

  Returns:
    the name of compatibility level

Copyright © 2000-2003 Apache Software Foundation. All Rights Reserved.